<?php

	lt_include( PLOG_CLASS_PATH."class/action/admin/adminaction.class.php" );
	lt_include( PLOG_CLASS_PATH."class/view/admin/adminplugintemplatedview.class.php" );
	lt_include( PLOG_CLASS_PATH."plugins/recommended/class/view/pluginrecommendedconfigview.class.php" );	

	/**
	 * shows a form with the current configuration
	 */
	class PluginRecommendedConfigAction extends AdminAction
	{
		
		function PluginRecommendedConfigAction( $actionInfo, $request )
		{
			$this->AdminAction( $actionInfo, $request );
		}
		
		function perform()
		{
                        $this->_view = new PluginRecommendedConfigView( $this->_blogInfo );
			
			$this->setCommonData();
			
			return true;
		}
	}
?>